*************************************************************
*************************************************************
** Replicate Dyadic Analysis 
** Ahn, Esarey, and Scholz
** Reputation and Cooperation in Voluntary Exchanges
** November 20, 2008
*************************************************************
*************************************************************

set mem 500m
version 10

****************************************************
* Tables 1 and 2 (pp. 34-35 of manuscript)         *
****************************************************


use "local_dyadic_data", replace
tab lagoutcome recommendabout
tab lagoutcome requestto


use "global_dyadic_data", replace
tab lagoutcome requestabout
tab outcome provideabout

****************************************************
* Table 3 (p. 36 of manuscript)                    *
****************************************************

use "base_dyadic_data", replace

xi: xtlogit triedlink rewards temptations suckers punishments youtry theytry laglinks laglinkssq period finalperiod, re
mfx, predict(pu0)

use "local_dyadic_data", replace

xtlogit triedlink totposrec totnegrec punishments temptations suckers rewards youtry theytry laglinks laglinkssq period finalperiod, re
mfx, predict(pu0)

use "global_dyadic_data", replace

xtlogit triedlink pos_rec neg_rec punishments temptations suckers rewards youtry theytry laglinks laglinkssq period finalperiod, re
mfx, predict(pu0)


****************************************************
* Table 4 (p. 37 of manuscript)                    *
****************************************************

use "base_dyadic_data", replace

heckprob cooperate cc cd dc dd youtried theytried periodnumber finalperiod, select(linkexists = cc cddc dd tried lagmaxlinks lagmaxlinkssq lagminlinks lagminlinkssq periodnumber finalperiod) cluster(dyadid) nolog
mfx

use "local_dyadic_data", replace

heckprob cooperate totposrec totnegrec cc cd dc dd youtried theytried periodnumber finalperiod, select(linkexists = maxposrec minposrec maxnegrec minnegrec cc cddc dd tried lagmaxlinks lagmaxlinkssq lagminlinks lagminlinkssq periodnumber finalperiod) cluster(dyadid) nolog
mfx

use "global_dyadic_data", replace
heckprob cooperate pos_rec neg_rec cc cd dc dd youtried theytried periodnumber finalperiod, select(linkexists = maxposrec minposrec maxnegrec minnegrec cc cddc dd tried lagmaxlinks lagmaxlinkssq lagminlinks lagminlinkssq periodnumber finalperiod) cluster(dyadid) nolog
mfx



****************************************************
* Global Truthful Analysis (p. 23 of manuscript)   *
****************************************************

*information use tables
use "global_truthful_dyadic_data", replace
tab lagoutcome requestabout
tab outcome provideabout

*link analysis
use "global_truthful_dyadic_data", replace

xtlogit triedlink pos_rec neg_rec punishments temptations suckers rewards youtried theytried laglinks laglinkssq period finalperiod, re
mfx, predict(pu0)

*cooperation analysis
use "global_truthful_dyadic_data", replace

heckprob cooperate pos_rec neg_rec cc cd dc dd youtried theytried periodnumber finalperiod, select(linkexists = maxposrec minposrec maxnegrec minnegrec cc cddc dd tried lagmaxlinks lagmaxlinkssq lagminlinks lagminlinkssq periodnumber finalperiod) cluster(dyadid) nolog
mfx





